-------------------------------------------------------------------------------
-- TapeCoordSys.ms
-- By Sergo Pogosyan (sergo.pogosyan@gmail.com)
-- v 1.0
-- Created: 2007-02-08
-- tested using Max 8.0
-- last edition: --
-------------------------------------------------------------------------------
-- Description: 
-- This tool helps you create tape object and then select it for coordinate system
-- object. It turns on 3d snap mode automaticly and returns to old snap mode after exit
-------------------------------------------------------------------------------
-- Usage:
-- Select tool button on the toolbar and create the tape. Exit tool mode by pressing RMB 
-- or select other tool and name of the tape will be selected in the reference coordinate
-- system list.
-------------------------------------------------------------------------------
-- TO DO list:
--
-------------------------------------------------------------------------------
-- history
--

--refObj = undefined
--oldCoordSys = undefined
--oldCoordSysNode = undefined

--save old snap and coordSys state
--oldCoordSys = getRefCoordSys()
--if (oldCoordSys == #object) then oldCoordSysNode = toolMode.coordSysNode
oldsnapMode = snapMode.type
oldsnapActive = snapMode.active
--endof save

snapMode.active = true
snapMode.type = #3D

tempArr = startObjectCreation tape returnNewNodes:true
refObj = tempArr[1]
if (refObj != undefined) then 
	toolMode.coordSysNode = refObj
if (oldsnapActive != undefined) then
	snapMode.active = oldsnapActive
if (oldsnapMode != undefined) then
	snapMode.type = oldsnapMode