--2006-10-03: try to write separate function for exluding child objects from object set
/*
this method never knows how to rotate linked objectsets.
if parent and child objects are in rotating objectset then rotate only parent object
how to do it? find all linked relations in objectset and exclude child object from it.
*/

fn excludeChildren objects = 
(
local childarray = #()
local parentarray = #()

for obj_temp in objects do	--collect children in array
(
	children = obj_temp.children
	if (children.count !=0) then
	(
		for i=1 to children.count do
		(
			append childarray children[i]
		)
	)
)
--create parent array
parentarray = for obj_temp in objects where (findItem childarray obj_temp == 0) collect obj_temp
)

-- function I've got from the MaxScript reference.
-- I've just add few lines to work with group as single object
fn axisRotate obj rotation =
(
local axis
local objArr = if classof obj == objectSet or classof obj == array then obj else #(obj)

if getCoordCenter() != #local then
	(
		axis = getTransformAxis objArr[1] 0
		for objOne in objArr do
		(
			in coordsys axis about axis rotate objOne rotation
		)
	)
	else
	(
		for objOne in objArr do
		(
			axis = getTransformAxis objOne 0
			in coordsys axis about axis rotate objOne rotation
		)
	)
)

--this is the same MAX Reference function but with 'rotate point' parameter
fn axisRotateAbout obj rotation point =
(
local axis	
local objArr = if classof obj == objectSet or classof obj == array then obj else #(obj)

if getCoordCenter() != #local then
	(
		axis = getTransformAxis objArr[1] 0
		axis[4] = point
		for objOne in objArr do
		(
			in coordsys axis about axis rotate objOne rotation
		)
	)
	else
	(
		for objOne in objArr do
		(
			axis = getTransformAxis objOne 0
			axis[4] = point
			in coordsys axis about axis rotate objOne rotation
		)
	)
)